Le mardi 06 mai 2014 à 21:44 +0200, Svante Signell a écrit :
> On Tue, 2014-05-06 at 20:29 +0200, Jérémy Lal wrote:
> > Le mardi 06 mai 2014 à 19:45 +0200, Svante Signell a écrit :
> > > Source: libv8-3.14
> > > Version: 3.14.5.8-7
> > > Severity: important
> > > Tags: patch
> > > User: debian-h...@lists.debian.org
> > > Usertags: hurd
> > > 
> > > Hi,
> > > 
> > > Currently libv8-3.14 fails to build from source since libv8-3.14 is not
> > > yet ported to GNU/Hurd. In fact it is not even in the architecture
> > > list, please add hurd-i386 to it. Attached are three patches, the last
> > > two applicable to submit upstream:
> > > 
> > > - rules.patch: Add support for hurd-i386 in the architecture list
> > > - 0015_v8.patch: tools/gyp/v8.gyp: add platform-gnu.cc
> > > - 0016_gnu.patch: src/platform-gnu.cc: new file with platform specific 
> > > code
> > > 
> > > The test suite reports all local tests pass :)
> > > 
> > > Thanks!
> > 
> > 
> > I am applying those changes, can you help me clarify :
> > 
> > * are you the author of src/platform-gnu.cc ?
> 
> It is a modification of platform-freebsd.cc with some stuff from
> platform-linux.cc for GNU/Hurd by me. Maybe the copyright year should
> be changed to 2014.

if you're all right with your name in the DEP-3 formatted patch i added,
then it's all good.

> > * can you submit the patches to upstream ?
> 
> I can do that if you want, do they have a BTS or development list?

https://code.google.com/p/v8/issues/list

i suspect upstream will accept only patches against their "master"
branch (i.e. not the 3.14 branch).

Jérémy.

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to